## slime 2.7

=== Makefile ===
### Makefile for SLIME
#
# This file is in the public domain.

# Variables
#
EMACS=emacs
LISP=sbcl

LOAD_PATH=-L .

ELFILES := slime.el slime-autoloads.el slime-tests.el $(wildcard lib/*.el)
ELCFILES := $(ELFILES:.el=.elc)

default: compile contrib-compile

all: compile

help:
	@printf "\
Main targets\n\
all        -- see compile\n\
compile    -- compile .el files\n\
check      -- run tests in batch mode\n\
clean      -- delete generated files\n\
doc-help   -- print help about doc targets\n\
help-vars  -- print info about variables\n\
help       -- print this message\n"

help-vars:
	@printf "\
Main make variables:\n\
EMACS     -- program to start Emacs ($(EMACS))\n\
LISP      -- program to start Lisp ($(LISP))\n\
SELECTOR  -- selector for ERT tests ($(SELECTOR))\n"

# Compilation
#
slime.elc: slime.el ChangeLog lib/hyperspec.elc

%.elc: %.el
	$(EMACS) -Q $(LOAD_PATH) --batch -f batch-byte-compile $<

compile: $(ELCFILES)

# Automated tests
#
SELECTOR=t

check: compile
	${EMACS} -Q --batch $(LOAD_PATH)				\
		--eval "(require 'slime-tests)"				\
		--eval "(slime-setup)"					\
		--eval "(setq inferior-lisp-program \"$(LISP)\")"	\
		--eval '(slime-batch-test (quote $(SELECTOR)))'

# run tests interactively
#
# FIXME: Not terribly useful until bugs in ert-run-tests-interactively
# are fixed.
test: compile
	${EMACS} -Q -nw $(LOAD_PATH)					\
		--eval "(require 'slime-tests)"				\
		--eval "(slime-setup)"					\
		--eval "(setq inferior-lisp-program \"$(LISP)\")"	\
		--eval '(slime-batch-test (quote $(SELECTOR)))'

elpa-slime:
	echo "Not implemented yet: elpa-slime target" && exit 255

elpa: elpa-slime contrib-elpa

# Cleanup
#
clean-fasls:
	find . -iname '*.fasl' -exec rm {} \;
clean: clean-fasls
	find . -iname '*.elc' -exec rm {} \;


# Contrib stuff. Should probably also go to contrib/
# 
MAKECONTRIB=$(MAKE) -C contrib EMACS="$(EMACS)" LISP="$(LISP)"
contrib-check-% check-%:
	$(MAKECONTRIB) $(@:contrib-%=%)
contrib-elpa:
	$(MAKECONTRIB) elpa-all
contrib-compile:
	$(MAKECONTRIB) compile

# Doc
#
doc-%:
	$(MAKE) -C doc $(@:doc-%=%)
doc: doc-help

.PHONY: clean elpa compile check doc dist

=== contrib/Makefile ===
### Makefile for contribs
#
# This file is in the public domain.

EMACS=emacs
LISP=sbcl

LOAD_PATH=-L . -L ..
CONTRIBS = $(patsubst slime-%.el,%,$(wildcard slime-*.el))
SLIME_VERSION=$(shell grep "Version:" ../slime.el | grep -E -o "[0-9.]+$$")

ELFILES := $(shell find . -type f -iname "*.el")
ELCFILES := $(patsubst %.el,%.elc,$(ELFILES))

%.elc: %.el
	$(EMACS) -Q $(LOAD_PATH) --batch -f batch-byte-compile $<

compile: $(ELCFILES)
	$(EMACS) -Q --batch $(LOAD_PATH) \
	        --eval "(batch-byte-recompile-directory 0)" .

# ELPA builds for contribs
#
$(CONTRIBS:%=elpa-%): CONTRIB=$(@:elpa-%=%)
$(CONTRIBS:%=elpa-%): CONTRIB_EL=$(CONTRIB:%=slime-%.el)
$(CONTRIBS:%=elpa-%): CONTRIB_CL=$(CONTRIB:%=swank-%.lisp)
$(CONTRIBS:%=elpa-%): CONTRIB_VERSION=$(shell (                          \
	                                  grep "Version:" $(CONTRIB_EL)  \
	                                  || echo $(SLIME_VERSION)       \
	                                ) | grep -E -o "[0-9.]+$$" )
$(CONTRIBS:%=elpa-%): PACKAGE=$(CONTRIB:%=slime-%-$(CONTRIB_VERSION))
$(CONTRIBS:%=elpa-%): PACKAGE_EL=$(CONTRIB:%=slime-%-pkg.el)
$(CONTRIBS:%=elpa-%): ELPA_DIR=elpa/$(PACKAGE)
$(CONTRIBS:%=elpa-%): compile
	elpa_dir=$(ELPA_DIR)
	mkdir -p $$elpa_dir;                                             \
	emacs --batch $(CONTRIB_EL)                                      \
	--eval "(require 'cl-lib)"                                       \
	--eval "(search-forward \"define-slime-contrib\")"               \
	--eval "(up-list -1)"                                            \
	--eval "(pp                                                      \
	        (pcase (read (point-marker))                             \
	          (\`(define-slime-contrib ,name ,docstring . ,rest)     \
	           \`(define-package ,name \"$(CONTRIB_VERSION)\"        \
	        ,docstring                                               \
	        ,(cons '(slime \"$(SLIME_VERSION)\")                     \
	         (cl-loop for form in rest                               \
	             when (eq :slime-dependencies (car form))            \
	             append (cl-loop for contrib in (cdr form)           \
	                             if (atom contrib)                   \
	                             collect                             \
	                               \`(,contrib \"$(SLIME_VERSION)\") \
	                             else                                \
	                             collect contrib))))))))"   >        \
	$$elpa_dir/$(PACKAGE_EL);                                        \
	cp $(CONTRIB_EL) $$elpa_dir;                                     \
	[ -r $(CONTRIB_CL) ] && cp $(CONTRIB_CL) $$elpa_dir;             \
	ls $$elpa_dir
	cd elpa && tar cvf $(PACKAGE).tar $(PACKAGE)
	rm -rf $(ELPA_DIR)

elpa-all: $(CONTRIBS:%=elpa-%)

$(CONTRIBS:%=check-%): CONTRIB_NAME=$(patsubst check-%,slime-%,$@)
$(CONTRIBS:%=check-%): SELECTOR=(quote (tag contrib))
$(CONTRIBS:%=check-%): compile
	$(EMACS) -Q --batch $(LOAD_PATH) -L test                        \
	        --eval "(require (quote slime))"                        \
	        --eval "(slime-setup (quote ($(CONTRIB_NAME))))"        \
	        --eval "(mapc (lambda (sym)                             \
	                         (require                               \
	                           (intern (format \"%s-tests\" sym))   \
	                           nil t))                              \
	                      (slime-contrib-all-dependencies           \
	                        (quote $(CONTRIB_NAME))))"              \
	        --eval "(setq inferior-lisp-program \"$(LISP)\")"       \
	        --eval "(slime-batch-test $(SELECTOR))"

check-all: $(CONTRIBS:%=check-%)

=== doc/Makefile ===
# This file has been placed in the public domain.
#
# Where to put the info file(s). NB: the GNU Coding Standards (GCS)
# and the Filesystem Hierarchy Standard (FHS) differ on where info
# files belong. The GCS says /usr/local/info; the FHS says
# /usr/local/share/info. Many distros obey the FHS, but people who
# installed their emacs from source probably have a GCS-ish file
# hierarchy.
infodir=/usr/local/info

# What command to use to install info file(s)
INSTALL_CMD=install -m 644

# Info files generated here.
infofiles=slime.info

TEXI = slime.texi contributors.texi

help:
	@echo -e "\
Most important targets:\n\
all               generate info, pdf, and html documents\n\
slime.info        generate the slime.info file\n\
slime.html        generate a single html file\n\
html/index.html   generate on html file per node in html/ directory\n\
html.tgz          create a tarball of all html files\n\
clean             remove generated files"

all: slime.info slime.pdf html/index.html

slime.dvi: $(TEXI)
	texi2dvi slime.texi

slime.ps: slime.dvi
	dvips -o $@ $<

slime.info: $(TEXI)
	makeinfo $<

slime.html: $(TEXI)
	texi2html --css-include=slime.css $<

html/index.html: $(TEXI)
	makeinfo -o html --css-include=slime.css --html $<

html.tgz: html/index.html
	tar -czf $@ html

DOCDIR=/project/slime/public_html/doc
# invoke this like: make CLUSER=heller publish
publish: slime.pdf html.tgz
	scp slime.pdf html.tgz $(CLUSER)@common-lisp.net:$(DOCDIR)
	ssh $(CLUSER)@common-lisp.net "cd $(DOCDIR); tar -zxf html.tgz"

slime.pdf: $(TEXI)
	texi2pdf $<

install: install-info

uninstall: uninstall-info

# Create contributors.texi, a texinfo table listing all known
# contributors of code.
#
# Explicitly includes Eric Marsden (pre-ChangeLog hacker)
#
# The gist of this horror show is that the contributor list is piped
# into texinfo-tabulate.awk with one name per line, sorted
# alphabetically.
contributors.texi: ../ChangeLog Makefile texinfo-tabulate.awk
	cat ../ChangeLog | \
	sed -ne '/^[0-9]/{s/^[^ ]* *//; s/ *<.*//; p;}' | \
	sort | \
	uniq -c | \
	sort -nr| \
	sed -e 's/^[^A-Z]*//' | \
	awk -f texinfo-tabulate.awk \
	> $@

#.INTERMEDIATE: contributors.texi

# Debian's install-info wants a --section argument.
install-info: section=$(shell grep INFO-DIR-SECTION $(infofiles) | sed 's/INFO-DIR-SECTION //')
install-info: slime.info
	mkdir -p $(infodir)
	$(INSTALL_CMD) $(infofiles) $(infodir)/$(infofiles)
	@if (install-info --version && \
		install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
		echo "install-info --info-dir=$(infodir) $(infodir)/$(infofiles)";\
		install-info --info-dir="$(infodir)" "$(infodir)/$(infofiles)" || :;\
	else \
		echo "install-info --infodir=$(infodir) --section $(section) $(section) $(infodir)/$(infofiles)" && \
		install-info --infodir="$(infodir)" --section $(section) ${section} "$(infodir)/$(infofiles)" || :; fi

uninstall-info:
	@if (install-info --version && \
		install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
		echo "install-info --info-dir=$(infodir) --remove $(infodir)/$(infofiles)";\
		install-info --info-dir="$(infodir)" --remove "$(infodir)/$(infofiles)" || :;\
	else \
		echo "install-info --infodir=$(infodir) --remove $(infodir)/$(infofiles)";\
		install-info --infodir="$(infodir)" --remove "$(infodir)/$(infofiles)" || :; fi
	rm -f $(infodir)/$(infofiles)

clean:
	rm -f contributors.texi
	rm -f slime.aux slime.cp slime.cps slime.fn slime.fns slime.ky
	rm -f slime.kys slime.log slime.pg slime.tmp slime.toc slime.tp
	rm -f slime.vr slime.vrs
	rm -f slime.info slime.pdf slime.dvi slime.ps slime.html
	rm -rf html html.tgz

=== debian/changelog ===
slime (2:2.7-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Wed, 11 Jun 2014 19:44:15 +0200

slime (2:2.6-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Wed, 28 May 2014 20:55:46 +0200

slime (2:2.5-1) unstable; urgency=low

  * New upstream.
  * Don't crash on nil in load-path; closes: #742426.

 -- Milan Zamazal <pdm@debian.org>  Sat, 05 Apr 2014 17:03:12 +0200

slime (2:2.4-2) unstable; urgency=low

  * Updated to new debian-emacs-policy.
  * emacs24-lucid and emacs24-nox added to dependencies.

 -- Milan Zamazal <pdm@debian.org>  Sat, 29 Mar 2014 23:00:55 +0100

slime (2:2.4-1) unstable; urgency=low

  * New upstream.
  * Standards 3.9.5 (no real change).
  * Depend on recent Emacs.

 -- Milan Zamazal <pdm@debian.org>  Sat, 22 Mar 2014 13:35:01 +0100

slime (1:20130626-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Mon, 26 Aug 2013 21:53:17 +0200

slime (1:20130416-1) experimental; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Thu, 18 Apr 2013 22:48:15 +0200

slime (1:20120525-2) unstable; urgency=low

  * Support for emacs24.

 -- Milan Zamazal <pdm@debian.org>  Sun, 01 Jul 2012 12:33:48 +0200

slime (1:20120525-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Mon, 04 Jun 2012 19:57:35 +0200

slime (1:20120420-2) unstable; urgency=low

  * Set HOME to the current directory before running texi* commands in
    doc/Makefile; closes: #666648.

 -- Milan Zamazal <pdm@debian.org>  Mon, 23 Apr 2012 22:03:50 +0200

slime (1:20120420-1) unstable; urgency=low

  * New upstream.
  * Standards 3.9.3 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 21 Apr 2012 21:42:23 +0200

slime (1:20111027-2) unstable; urgency=low

  * Get slime changelog version from slime, not cl-swank, directory;
    closes: #587345.
  * Always try (require :asdf) before loading asdf.lisp in swank-loader.lisp.

 -- Milan Zamazal <pdm@debian.org>  Thu, 27 Oct 2011 22:14:09 +0200

slime (1:20111027-1) unstable; urgency=low

  * New upstream.
  * Load ASDF before attempting to use it in swank-loader.lisp;
    closes: #640815, #646037.

 -- Milan Zamazal <pdm@debian.org>  Thu, 27 Oct 2011 19:50:38 +0200

slime (1:20110806-1) unstable; urgency=low

  * New upstream.
  * Missing build-* targets added to debian/rules.
  * Standards 3.9.2 (no real change).

  [ Luca Capello ]
  * debian/control:
    + remove myself from Uploaders:.

 -- Milan Zamazal <pdm@debian.org>  Sat, 06 Aug 2011 11:04:32 +0200

slime (1:20100722-1) unstable; urgency=low

  * New upstream.
  * Don't set slime-protocol-version at compile time, this is both
    unnecessary and harmful in Debian; closes: #588575.
  * Standards 3.9.0 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Thu, 22 Jul 2010 10:38:15 +0200

slime (1:20100605-1) unstable; urgency=low

  * New upstream.
  * Don't add tree-widget.el anymore; closes: #583697.

 -- Milan Zamazal <pdm@debian.org>  Sat, 05 Jun 2010 10:08:58 +0200

slime (1:20100220-4) unstable; urgency=low

  * Make cl-swank working with current common-lisp-controller etc.

 -- Milan Zamazal <pdm@debian.org>  Tue, 09 Mar 2010 08:37:16 +0100

slime (1:20100220-3) unstable; urgency=low

  * Don't install contrib files for XEmacs; closes: #572594.
  * Prevent printing errors about missing ChangeLog on installation.
  * Prevent printing errors when loading 50slime.el; closes: #456004.

 -- Milan Zamazal <pdm@debian.org>  Mon, 08 Mar 2010 21:04:55 +0100

slime (1:20100220-2) unstable; urgency=low

  * Fix Emacs dependencies; closes: #533725, #553484.
  * Change section to lisp.

 -- Milan Zamazal <pdm@debian.org>  Tue, 02 Mar 2010 09:55:08 +0100

slime (1:20100220-1) unstable; urgency=low

  * New upstream.
  * New comaintainer: Milan Zamazal <pdm@debian.org>.
  * Separate Debian patches into debian/patches/.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Standards 3.8.4 (no real change).
  * Build and install slime-refcard.pdf.

 -- Milan Zamazal <pdm@debian.org>  Sun, 21 Feb 2010 18:24:12 +0100

slime (1:20090908-1) unstable; urgency=low

  * New upstream
  * Updated README.building
  * Updated Standards-Version no real changes
  * Added dummy debian/watch file
  * Force shell to bash in doc/Makefile for bashisms

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 10 Sep 2009 09:26:45 +0100

slime (1:20090816-1) unstable; urgency=low

  * New upstream 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 17 Aug 2009 12:14:25 +0100

slime (1:20090616-1) unstable; urgency=low

  [ Torsten Landschoff ]
  * slime.el: Populate slime-lisp-implementations from known common
    lisp implementations on PATH (closes: #491602).

  [ Peter Van Eynde ]
  * New upstream. Removed xref.lisp (Closes: #527524) 
  * fixed building instructions
  * New upstream version. 
    Code rewrite that (Closes: #410856)
    Also fixes the swank-in-swank problem (Closes: #457648)
  * Removed xref.lisp again and added a test in the makefile for it
    (Closes: #517205)
  * Fixed typo in swank-loader.lisp that creates spurious warnings.
    (Closes: #477265)
  * add a conflict for emacs21. xemacs. Limiting compatiblity to
    emacs22 will already be a challenge.
    (Closes: #517839, #478355)
  * Move to debhelper v7 
  * updated standard version without any real changes 
  * use dh_prep instead of dh_clean -k
  * fix debhelper dependency

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 17 Jun 2009 22:38:38 +0200

slime (1:20090217-2) unstable; urgency=low

  * debian/postinst,prerm:
    - remove, since dh-lisp takes care of every Common Lisp-related
      stuff and the slime package does not need them (Closes: #518021).

 -- Luca Capello <luca@pca.it>  Fri, 13 Mar 2009 01:32:14 +0100

slime (1:20090217-1) unstable; urgency=low

  [ Luca Capello ]
  * debian/control: recommend, not depend on, cl-swank (Closes: #471863)
  * debian/control: remove trailing spaces from the long Description:


=== debian/control ===
Source: slime
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Milan Zamazal <pdm@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
Standards-Version: 3.9.5
Homepage: http://common-lisp.net/project/slime/
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/slime.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/slime.git;a=summary

Package: slime
Architecture: all
Depends: emacsen-common, ${misc:Depends}
Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs24 (>= 24.3) | emacs24-lucid (>= 24.3) | emacs24-nox (>= 24.3) | emacs-snapshot | xemacs21
Conflicts: emacsen-common (<< 2.0.0)
Description: Superior LISP Interaction Mode for Emacs
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 This is an ILISP-like development environment intended for maximum
 integration with CMUCL (also works with SBCL, OpenMCL and work is
 ongoing on Lispworks and current CVS version of CLISP and CLISP 2.32
 on Linux).
 .
 This package contains the Emacs client, that will connect to the
 Lisp-side server (see package cl-swank).
 .
 To connect to Common Lisp implementations not running in Debian
 you need the latest CVS version of slime, NOT the old slime
 'release' version 1.2.1 or older.

Package: cl-swank
Architecture: all
Depends: cl-asdf (>= 2:1.627), ${misc:Depends}
Suggests: slime
Replaces: slime (<< 1:20050929-1)
Conflicts: slime (<< 1:20050929-1)
Description: Superior LISP Interaction Mode for Emacs (Lisp-side server)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 This is an ILISP-like development environment intended for maximum
 integration with CMUCL (also works with SBCL, OpenMCL and work is
 ongoing on Lispworks and current CVS version of CLISP and CLISP 2.32
 on Linux).
 .
 This package contains the Lisp-side server, needed by the Emacs client
 (see package slime).

=== debian/watch ===
# package is maintained in CVS

## slime 2.10.1

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 SELECTOR=t
 
 check: compile
-	${EMACS} -Q --batch $(LOAD_PATH)				\
+	$(EMACS) -Q --batch $(LOAD_PATH)				\
 		--eval "(require 'slime-tests)"				\
 		--eval "(slime-setup)"					\
 		--eval "(setq inferior-lisp-program \"$(LISP)\")"	\
@@ -59,11 +59,23 @@
 # FIXME: Not terribly useful until bugs in ert-run-tests-interactively
 # are fixed.
 test: compile
-	${EMACS} -Q -nw $(LOAD_PATH)					\
+	$(EMACS) -Q -nw $(LOAD_PATH)					\
 		--eval "(require 'slime-tests)"				\
 		--eval "(slime-setup)"					\
 		--eval "(setq inferior-lisp-program \"$(LISP)\")"	\
 		--eval '(slime-batch-test (quote $(SELECTOR)))'
+
+compile-swank:
+	echo '(load "swank-loader.lisp")' '(swank-loader:init :setup nil)' \
+	| $(LISP)
+
+run-swank:
+	{ echo \
+	'(load "swank-loader.lisp")' \
+	'(swank-loader:init)' \
+	'(swank:create-server)' \
+	&& cat; } \
+	| $(LISP)
 
 elpa-slime:
 	echo "Not implemented yet: elpa-slime target" && exit 255
@@ -72,14 +84,18 @@
 
 # Cleanup
 #
+FASLREGEX = .*\.\(fasl\|ufasl\|sse2f\|lx32fsl\|abcl\|fas\|lib\|trace\)$$
+
 clean-fasls:
-	find . -iname '*.fasl' -exec rm {} \;
+	find . -regex '$(FASLREGEX)' -exec rm -v {} \;
+	[ -d ~/.slime/fasl ] && rm -rf ~/.slime/fasl
+
 clean: clean-fasls
 	find . -iname '*.elc' -exec rm {} \;
 
 
 # Contrib stuff. Should probably also go to contrib/
-# 
+#
 MAKECONTRIB=$(MAKE) -C contrib EMACS="$(EMACS)" LISP="$(LISP)"
 contrib-check-% check-%:
 	$(MAKECONTRIB) $(@:contrib-%=%)

=== debian/changelog ===
slime (2:2.10.1-3) unstable; urgency=low

  * Prevent error on startup; thanks to Robert J. Macomber;
    closes: #766944.

 -- Milan Zamazal <pdm@debian.org>  Sat, 22 Nov 2014 21:05:22 +0100

slime (2:2.10.1-2) unstable; urgency=low

  * Standards 3.9.6 (no real change).
  * emacsen-common dependency updated according to the current Emacs
    policy.

 -- Milan Zamazal <pdm@debian.org>  Thu, 23 Oct 2014 06:44:30 +0200

slime (2:2.10.1-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Tue, 21 Oct 2014 20:14:36 +0200

slime (2:2.9-1) unstable; urgency=low

  * New upstream.

 -- Milan Zamazal <pdm@debian.org>  Sat, 09 Aug 2014 12:06:02 +0200

## slime 2.13

=== debian/changelog ===
slime (2:2.13-1) unstable; urgency=low

  * New upstream.
  * Ignore deletion of auto-generated files.
  * Don't install old cl-lib.el from SLIME; closes: #767527.

 -- Milan Zamazal <pdm@debian.org>  Tue, 28 Apr 2015 21:03:31 +0200

## slime 2.15

=== Makefile ===
--- 
+++ 
@@ -88,7 +88,7 @@
 
 clean-fasls:
 	find . -regex '$(FASLREGEX)' -exec rm -v {} \;
-	[ -d ~/.slime/fasl ] && rm -rf ~/.slime/fasl
+	[ ! -d ~/.slime/fasl ] || rm -rf ~/.slime/fasl
 
 clean: clean-fasls
 	find . -iname '*.elc' -exec rm {} \;

=== doc/Makefile ===
--- 
+++ 
@@ -67,14 +67,15 @@
 # The gist of this horror show is that the contributor list is piped
 # into texinfo-tabulate.awk with one name per line, sorted
 # alphabetically.
-contributors.texi: ../ChangeLog Makefile texinfo-tabulate.awk
-	cat ../ChangeLog | \
+CHANGELOGS=../ChangeLog ../contrib/ChangeLog
+contributors.texi: $(CHANGELOGS) Makefile texinfo-tabulate.awk
+	cat $(CHANGELOGS) | \
 	sed -ne '/^[0-9]/{s/^[^ ]* *//; s/ *<.*//; p;}' | \
 	sort | \
 	uniq -c | \
 	sort -nr| \
 	sed -e 's/^[^A-Z]*//' | \
-	awk -f texinfo-tabulate.awk \
+	LC_ALL=C awk -f texinfo-tabulate.awk \
 	> $@
 
 #.INTERMEDIATE: contributors.texi

=== debian/changelog ===
slime (2:2.15-1) unstable; urgency=low

  * New upstream.
  * Use cl-remove-if instead of remove-if in implementations.patch.

 -- Milan Zamazal <pdm@debian.org>  Thu, 31 Dec 2015 22:05:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://common-lisp.net/project/slime/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/slime.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/slime.git;a=summary
 
 Package: slime
 Architecture: all
-Depends: emacsen-common, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), ${misc:Depends}
 Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs24 (>= 24.3) | emacs24-lucid (>= 24.3) | emacs24-nox (>= 24.3) | emacs-snapshot | xemacs21
-Conflicts: emacsen-common (<< 2.0.0)
 Description: Superior LISP Interaction Mode for Emacs
  SLIME is the Superior Lisp Interaction Mode for Emacs.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
# Add here commands to configure the package.
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
# Add here commands to compile the package.
	cd doc; $(MAKE) slime.ps slime.info slime.pdf slime-refcard.pdf
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
# Add here commands to clean up after the build process.
## no 'clean' target in docs/Makefile
	cd doc; $(MAKE) clean
## remove, also, doc/*.pdf - to prevent any errors from dpkg-source
## about binary-file contents that differ
	dh_clean doc/slime.pdf

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
# Add here commands to install the package into debian/tmp
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
##
## we handle this with dh_install ; see slime.install
##


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.



# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	sh -c 'if [ -f xref.lisp ] ; then echo "xref.lisp detected... committing seppuku for the greater good" ; exit 1 ; fi'
	dh_installchangelogs ChangeLog 
	dh_installdocs 
	dh_installexamples
	dh_install
	cp debian/overrides.slime debian/slime/usr/share/lintian/overrides/slime
	cp debian/overrides.cl-swank debian/cl-swank/usr/share/lintian/overrides/cl-swank
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
	dh_installemacsen
	find debian/slime -name cl-lib.el -exec rm {} \;
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installinfo doc/slime.info
#	dh_installman
	dh_link
	dh_strip
## note : the -Xchangelog is needed, due to the use of the "Changelog"
## file-name and the variable 'slime-path', in the function
## `slime-changelog-date', in slime.el - also note the postinst.
	dh_compress -Xpdf -Xchangelog
	gzip -9 debian/slime/usr/share/doc/slime/changelog.Debian
	gzip -9 debian/cl-swank/usr/share/doc/cl-swank/changelog.Debian
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_lisp
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## slime 2.17

=== debian/changelog ===
slime (2:2.17-1) unstable; urgency=low

  * New upstream.
  * debian/copyright updated.
  * Standars 3.9.8 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 14 May 2016 15:02:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://common-lisp.net/project/slime/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/slime.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/slime.git;a=summary

## slime 2.18

=== debian/changelog ===
slime (2:2.18-1) unstable; urgency=low

  * New upstream.
  * Updated for emacs25; closes: #841933.
  * Debhelper compatibility level increased to 9.

 -- Milan Zamazal <pdm@debian.org>  Wed, 26 Oct 2016 21:06:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Milan Zamazal <pdm@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-lisp, texlive-generic-recommended, texlive-extra-utils, texlive, texinfo, texlive-latex-extra
 Standards-Version: 3.9.8
 Homepage: http://common-lisp.net/project/slime/
@@ -13,7 +13,7 @@
 Package: slime
 Architecture: all
 Depends: emacsen-common (>= 2.0.8), ${misc:Depends}
-Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs24 (>= 24.3) | emacs24-lucid (>= 24.3) | emacs24-nox (>= 24.3) | emacs-snapshot | xemacs21
+Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs25 | emacs24 (>= 24.3) | emacs24-lucid (>= 24.3) | emacs24-nox (>= 24.3) | emacs-snapshot | xemacs21
 Description: Superior LISP Interaction Mode for Emacs
  SLIME is the Superior Lisp Interaction Mode for Emacs.
  .

## slime 2.20+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -62,19 +62,19 @@
 # Create contributors.texi, a texinfo table listing all known
 # contributors of code.
 #
-# Explicitly includes Eric Marsden (pre-ChangeLog hacker)
-#
 # The gist of this horror show is that the contributor list is piped
 # into texinfo-tabulate.awk with one name per line, sorted
-# alphabetically.
-CHANGELOGS=../ChangeLog ../contrib/ChangeLog
-contributors.texi: $(CHANGELOGS) Makefile texinfo-tabulate.awk
-	cat $(CHANGELOGS) | \
+# by number of contributions.
+LAST_CHANGELOG_COMMIT=ab6d1bd5c9d3c5b4a6299b8c864ce4acfd25cbcc
+contributors.texi: ../slime.el Makefile texinfo-tabulate.awk
+	git show $(LAST_CHANGELOG_COMMIT):ChangeLog \
+	         $(LAST_CHANGELOG_COMMIT):contrib/ChangeLog | \
 	sed -ne '/^[0-9]/{s/^[^ ]* *//; s/ *<.*//; p;}' | \
+	(cat; git log $(LAST_CHANGELOG_COMMIT).. --format='%aN') | \
 	sort | \
 	uniq -c | \
-	sort -nr| \
-	sed -e 's/^[^A-Z]*//' | \
+	sort -nr | \
+	sed -e 's/^[^A-Z]*//; /^$$/d' | \
 	LC_ALL=C awk -f texinfo-tabulate.awk \
 	> $@

=== debian/changelog ===
slime (2:2.20+dfsg-2) unstable; urgency=medium

  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Use secure URL for Homepage.
  * Bump Standards-Version to 4.1.4.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 12 Apr 2018 14:30:39 +0200

slime (2:2.20+dfsg-1) unstable; urgency=medium

  * New upstream release.
    Use a +dfsg suffix since xref.lisp has been stripped.
  * Rewrite d/watch from scratch (and add +dfsg suffix mangle).
  * Rewrite d/copyright using machine-readable format 1.0.
    Add xref.lisp to Files-Excluded, so that it is automatically stripped by
    uscan at each new release.
  * Remove slime-protocotol-version.patch, now obsolete since protocol version
    comes from SLIME version.
  * Rewrite d/rules using dh.
  * Bump to debhelper compat level 11.
  * Fix Vcs-Git and Vcs-Browser fields.
  * No longer Build-Depends on dh-lisp.
  * Merge Build-Depends and Build-Depends-Indep (we only build arch:all pkgs).
  * Add myself to Uploaders.
  * Remove obsolete debian/README.building.
  * reproducible-contributors-list.patch: new patch by Alexis Bienvenüe, fixes
    reproducible build issue. (Closes: #826162)
  * Remove cl-lib.patch, since we no longer ship the cl-lib.el library
    (bundled with Emacs 24).
  * Remove Recommends on xemacs21, since it is no longer supported.
  * Convert the Emacs add-on packaging to dh-elpa.
    In particular:
    - move Debian defaults configuration from emacsen-startup to
      debian-defaults.patch
    - new elpa-macrostep.patch
  * Ship the right README.md in slime, and drop duplicate docs in cl-swank.
  * noxref.patch: completely remove references to xref.lisp, so that CLISP
    works again.
  * Fix detection of info file by slime-info command.
  * Ship HTML documentation. (Closes: #873299)
  * Register documentation into doc-base. (Closes: #873300)
  * cl-swank now Enhances slime (instead of Suggesting it).
  * Refresh extended description.
  * Refresh README.Debian.
  * slime now Suggests hyperspec.
  * Bump Standards-Version to 4.1.3.
  * Support the nodoc flag in DEB_BUILD_OPTIONS.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 10 Jan 2018 18:07:20 +0100

=== debian/control ===
Source: slime
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Milan Zamazal <pdm@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa,
               texlive-generic-recommended,
               texlive-extra-utils,
               texlive,
               texinfo,
               texlive-latex-extra
Standards-Version: 4.1.4
Homepage: https://common-lisp.net/project/slime/
Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime
Testsuite: autopkgtest-pkg-elpa

Package: slime
Architecture: all
Depends: ${misc:Depends},
         ${elpa:Depends}
Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs25 | emacs24 (>= 24.3) | emacs24-lucid (>= 24.3) | emacs24-nox (>= 24.3)
Suggests: hyperspec
Description: Superior Lisp Interaction Mode for Emacs (client)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 SLIME extends Emacs with support for interactive programming in Common Lisp.
 The features are centered around slime-mode, an Emacs minor-mode that
 complements the standard lisp-mode. While lisp-mode supports editing Lisp
 source files, slime-mode adds support for interacting with a running Common
 Lisp process for compilation, debugging, documentation lookup, and so on.
 .
 The slime-mode programming environment follows the example of Emacs’s native
 Emacs Lisp environment. It also includes good ideas from similar systems
 (such as ILISP) and some new ideas.
 .
 SLIME is compatible with the following free Common Lisp implementations:
 CMUCL, SBCL, CCL, CLISP, ECL, ABCL.
 .
 This package contains the Emacs client, that will connect to the
 Lisp-side server (see package cl-swank).

Package: cl-swank
Architecture: all
Depends: cl-asdf, ${misc:Depends}
Enhances: slime (= ${source:Version})
Description: Superior Lisp Interaction Mode for Emacs (Lisp-side server)
 SLIME is the Superior Lisp Interaction Mode for Emacs.
 .
 SLIME extends Emacs with support for interactive programming in Common Lisp.
 The features are centered around slime-mode, an Emacs minor-mode that
 complements the standard lisp-mode. While lisp-mode supports editing Lisp
 source files, slime-mode adds support for interacting with a running Common
 Lisp process for compilation, debugging, documentation lookup, and so on.
 .
 The slime-mode programming environment follows the example of Emacs’s native
 Emacs Lisp environment. It also includes good ideas from similar systems
 (such as ILISP) and some new ideas.
 .
 SLIME is compatible with the following free Common Lisp implementations:
 CMUCL, SBCL, CCL, CLISP, ECL, ABCL.
 .
 This package contains the Lisp-side server, needed by the Emacs client
 (see package slime).

## slime 2.22+dfsg

=== debian/changelog ===
slime (2:2.22+dfsg-1) unstable; urgency=medium

  * New upstream version 2.22+dfsg

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Jul 2018 11:36:54 +0200

slime (2:2.21+dfsg-2) unstable; urgency=medium

  * paths.patch: ensure that ASDF is loaded before swank, since the patch
    introduces an ASDF symbol in swank
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.1.5
  * Mark cl-swank as M-A foreign

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 10 Jul 2018 12:19:52 +0200

slime (2:2.21+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Remove patches applied upstream:
    + docbuild.patch
    + reproducible-contributors-list.patch
  * Drop dependency on cl-asdf, now that all packaged implementations ship
    with ASDF. Adapt paths.patch as a consequence.
  * Add an autopkgtest that:
    + runs the testsuite on SBCL
    + tries to load swank on ECL and CLISP
    Needs the new testsuite.patch.
    Note that autopkgtest-pkg-elpa is not well suited, because it does not run
    the testsuite in the right environment.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Jun 2018 22:02:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                texlive,
                texinfo,
                texlive-latex-extra
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://common-lisp.net/project/slime/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime
-Testsuite: autopkgtest-pkg-elpa
+Rules-Requires-Root: no
 
 Package: slime
 Architecture: all
@@ -45,7 +45,8 @@
 
 Package: cl-swank
 Architecture: all
-Depends: cl-asdf, ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Enhances: slime (= ${source:Version})
 Description: Superior Lisp Interaction Mode for Emacs (Lisp-side server)
  SLIME is the Superior Lisp Interaction Mode for Emacs.

## slime 2.23+dfsg

=== debian/changelog ===
slime (2:2.23+dfsg-2) unstable; urgency=medium

  * Use emacs metapackage in Recommends, instead of obsolete emacs24* and
    emacs25* packages. (Closes: #923786)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Mar 2019 09:21:47 +0100

slime (2:2.23+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Migrate to new way of specifying debhelper compat level
  * Bump S-V to 4.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 23 Dec 2018 18:56:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Milan Zamazal <pdm@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-elpa,
                texlive-generic-recommended,
                texlive-extra-utils,
                texlive,
                texinfo,
                texlive-latex-extra
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://common-lisp.net/project/slime/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime
@@ -22,7 +22,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${elpa:Depends}
-Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs25 | emacs24 (>= 24.3) | emacs24-lucid (>= 24.3) | emacs24-nox (>= 24.3)
+Recommends: cl-swank (= ${source:Version}), info | info-browser, emacs (>= 46)
 Suggests: hyperspec
 Description: Superior Lisp Interaction Mode for Emacs (client)
  SLIME is the Superior Lisp Interaction Mode for Emacs.

=== debian/tests/control ===
# Run the testsuite on SBCL (see also testsuite.patch)

Test-Command: emacs -q --script debian/tests/runtests-sbcl.el
Depends: slime, emacs-nox, cl-swank, sbcl
Restrictions: allow-stderr

# Try to load swank on ECL and CLISP

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends: cl-swank, ecl
Restrictions: allow-stderr

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: cl-swank, clisp
Restrictions: allow-stderr

## slime 2.24+dfsg

=== debian/changelog ===
slime (2:2.24+dfsg-2) unstable; urgency=medium

  * Build-Depend on texlive-plain-generic instead of obsolete
    texlive-generic-recommended (Closes: #941549)
  * Bump S-V to 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Oct 2019 01:15:08 +0200

slime (2:2.24+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.4.0
  * Bump debhelper compat level to 12

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 22 Aug 2019 22:36:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Milan Zamazal <pdm@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa,
-               texlive-generic-recommended,
+               texlive-plain-generic,
                texlive-extra-utils,
                texlive,
                texinfo,
                texlive-latex-extra
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://common-lisp.net/project/slime/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime

=== debian/rules ===
#!/usr/bin/make -f

%:

	dh $@ --with elpa

override_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc slime.ps slime.info slime.pdf slime-refcard.pdf html/index.html
endif

override_dh_auto_test:

override_dh_auto_clean:
	$(MAKE) doc-clean

override_dh_install:
	dh_install
	# The file created below is used by swank-loader::slime-version-string,
	# as modified by paths.patch.
	grep '^;;\s*Version:' slime.el | sed 's/;;\s*Version:\s//' > debian/cl-swank/usr/share/common-lisp/source/slime/slime-version

override_dh_elpa:
	dh_elpa
	# cl-lib.el is included in Emacs >= 24, so no need to ship it (see #767527).
	find debian/slime -name cl-lib.el -delete

override_dh_compress:
	dh_compress -Xpdf

## slime 2.26.1+dfsg

=== contrib/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 LOAD_PATH=-L . -L ..
 CONTRIBS = $(patsubst slime-%.el,%,$(wildcard slime-*.el))
+CONTRIB_TESTS = $(patsubst test/slime-%-tests.el,%,$(wildcard test/slime-*.el))
 SLIME_VERSION=$(shell grep "Version:" ../slime.el | grep -E -o "[0-9.]+$$")
 
 ELFILES := $(shell find . -type f -iname "*.el")
@@ -61,19 +62,31 @@
 
 elpa-all: $(CONTRIBS:%=elpa-%)
 
-$(CONTRIBS:%=check-%): CONTRIB_NAME=$(patsubst check-%,slime-%,$@)
-$(CONTRIBS:%=check-%): SELECTOR=(quote (tag contrib))
-$(CONTRIBS:%=check-%): compile
-	$(EMACS) -Q --batch $(LOAD_PATH) -L test                        \
-	        --eval "(require (quote slime))"                        \
-	        --eval "(slime-setup (quote ($(CONTRIB_NAME))))"        \
-	        --eval "(mapc (lambda (sym)                             \
-	                         (require                               \
-	                           (intern (format \"%s-tests\" sym))   \
-	                           nil t))                              \
-	                      (slime-contrib-all-dependencies           \
-	                        (quote $(CONTRIB_NAME))))"              \
-	        --eval "(setq inferior-lisp-program \"$(LISP)\")"       \
+$(CONTRIB_TESTS:%=check-%): CONTRIB_NAME=$(patsubst check-%,slime-%,$@)
+$(CONTRIB_TESTS:%=check-%): SELECTOR=(quote (tag contrib))
+$(CONTRIB_TESTS:%=check-%): compile
+	$(EMACS) -Q --batch $(LOAD_PATH) -L test			   \
+	        --eval "(require (quote slime))"			   \
+	        --eval "(slime-setup (quote ($(CONTRIB_NAME))))"	   \
+	        --eval "(require					   \
+                         (intern					   \
+			  (format \"%s-tests\" (quote $(CONTRIB_NAME)))))" \
+	        --eval '(setq inferior-lisp-program "$(LISP)")'		   \
 	        --eval "(slime-batch-test $(SELECTOR))"
 
-check-all: $(CONTRIBS:%=check-%)
+check-all: $(CONTRIB_TESTS:%=check-%)
+
+check-fancy: compile
+	$(EMACS) -Q --batch  $(LOAD_PATH) -L test			\
+	        --eval "(setq debug-on-error t)"			\
+	        --eval "(require (quote slime))"			\
+	        --eval "(slime-setup (quote (slime-fancy)))"		\
+	        --eval "(mapc (lambda (sym)				\
+	                         (require				\
+	                           (intern (format \"%s-tests\" sym))	\
+	                           nil t))				\
+	                      (slime-contrib-all-dependencies		\
+	                        (quote slime-fancy)))"			\
+	        --eval '(setq inferior-lisp-program "$(LISP)")'		\
+	        --eval '(slime-batch-test (quote (tag contrib)))'
+

=== doc/Makefile ===
--- 
+++ 
@@ -55,6 +55,9 @@
 slime.pdf: $(TEXI)
 	texi2pdf $<
 
+slime-refcard.pdf: slime-refcard.tex
+	texi2pdf $<
+
 install: install-info
 
 uninstall: uninstall-info
@@ -73,7 +76,7 @@
 	(cat; git log $(LAST_CHANGELOG_COMMIT).. --format='%aN') | \
 	sort | \
 	uniq -c | \
-	sort -nr | \
+	LC_ALL=C sort -nr | \
 	sed -e 's/^[^A-Z]*//; /^$$/d' | \
 	LC_ALL=C awk -f texinfo-tabulate.awk \
 	> $@
@@ -109,4 +112,5 @@
 	rm -f slime.kys slime.log slime.pg slime.tmp slime.toc slime.tp
 	rm -f slime.vr slime.vrs
 	rm -f slime.info slime.pdf slime.dvi slime.ps slime.html
+	rm -f slime-refcard.pdf slime-refcard.log slime-refcard.aux
 	rm -rf html html.tgz

=== debian/changelog ===
slime (2:2.26.1+dfsg-2) unstable; urgency=medium

  * emacs28.patch: new patch, fixes compatibility issue with Emacs 28
    (Closes: #982174)
  * d/upstream/metadata: add Documentation field
  * Mark autokgtest on ecl and clisp as superficial.
    On those implementations, we only try to load swank.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 12 Feb 2021 10:14:00 +0100

slime (2:2.26.1+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sébastien Villemot ]
  * New upstream release
  * Bump to debhelper 13
  * d/rules: simplify using execute_after_* rules from debhelper 12.8
  * Bump to S-V 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 22 Dec 2020 14:27:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Milan Zamazal <pdm@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 12.8~),
                dh-elpa,
                texlive-plain-generic,
                texlive-extra-utils,
                texlive,
                texinfo,
                texlive-latex-extra
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://common-lisp.net/project/slime/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/slime.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/slime

=== debian/tests/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 Test-Command: ecl -norc -shell debian/tests/runtests.lisp
 Depends: cl-swank, ecl
-Restrictions: allow-stderr
+Restrictions: allow-stderr, superficial
 
 Test-Command: clisp -norc debian/tests/runtests.lisp
 Depends: cl-swank, clisp
-Restrictions: allow-stderr
+Restrictions: allow-stderr, superficial
